Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004386 [JEDI VCL] 04 Feature Request feature always 2008-07-01 09:10 2008-10-25 07:34
Reporter snw View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0004386: add Periodical property to TJvTrayIcon component
Description TJvTrayIcon = class(TJvComponent)
  private
    FDirection : integer;
    FPeriodical : boolean;
  published
property Periodical : boolean read FPeriodical write FPeriodical;


procedure TJvTrayIcon.DoAnimation;
begin
  if (tisTrayIconVisible in FState) and (FIcons <> nil) and (FIcons.Count >
0) then
  begin
    if IconIndex < 0 then
      IconIndex := 0
    else
    if FPeriodical then
      begin
      if IconIndex=(FIcons.Count-1) then
         FDirection:=-1
      else
         if IconIndex=0 then
            FDirection:=1;
      IconIndex := (IconIndex + FDirection) mod FIcons.Count;
      end
    else IconIndex := (IconIndex + 1) mod FIcons.Count;
    if Assigned(FOnAnimate) then
      FOnAnimate(Self, IconIndex);
  end;
end;
Additional Information this code change enables TJvTrayIcon to animate images forward and backward
periodically, so one doesnt have to load (n-1) images twice
(eg it was img1,img2,img3,img2,img1 in imagelist, now only img1,img2 and
img3)
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0014380)
obones (administrator)
2008-07-15 01:08

Periodical is too broad a name. The period could be one every two image, or all backward. Please suggest another name.
(0014382)
jfudickar (developer)
2008-07-15 15:02

What about AutoRotate?

Greetings
Jens
(0014384)
snw (reporter)
2008-07-16 03:52

for me Periodical is fine, sinus is a periodical function right ?
how about CyclicRotate, CyclicAnimation. whatever :)
(0014385)
obones (administrator)
2008-07-16 06:02

yes, sine is periodical, so is square, triangle, cosine. But they are different, hence their different names.
AutoRotate suggests to me that it's the image that rotates not the animation.
What we have here, is more like "Back and Forth" but I'm no too happy with this either. And we should have a enumeration rather than a "boolean" property, just in case.
(0014903)
AHUser (developer)
2008-10-25 07:33

Added to SVN as "SwingForthAndBack: Boolean"

- Issue History
Date Modified Username Field Change
2008-07-01 09:10 snw New Issue
2008-07-15 01:08 obones Note Added: 0014380
2008-07-15 01:08 obones Status new => acknowledged
2008-07-15 15:02 jfudickar Note Added: 0014382
2008-07-16 03:52 snw Note Added: 0014384
2008-07-16 06:02 obones Note Added: 0014385
2008-10-25 07:33 AHUser Status acknowledged => resolved
2008-10-25 07:33 AHUser Fixed in Version => Daily / SVN
2008-10-25 07:33 AHUser Resolution open => fixed
2008-10-25 07:33 AHUser Assigned To => AHUser
2008-10-25 07:33 AHUser Note Added: 0014903


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker